Facebook Lead Ads
List Facebook Lead Ads automations
Use this to find automation ids before inspecting one with facebookLeadAds.get or changing one with facebookLeadAds.update. Returns automations configured in this workspace.
GET
/
v1
/
facebook-lead-ads
List Facebook Lead Ads automations
curl --request GET \
--url https://app.chatbotx.io/api/v1/facebook-lead-ads \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatbotx.io/api/v1/facebook-lead-ads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatbotx.io/api/v1/facebook-lead-ads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"pageId": "<string>",
"pageName": "<string>",
"formId": "<string>",
"formName": "<string>",
"fieldMapping": [
{
"key": "<string>",
"label": "<string>",
"type": "<string>",
"target": "<string>"
}
],
"flowId": "<string>",
"leadsHandledCount": -1,
"flow": {
"id": "<string>",
"name": "<string>"
}
}
],
"pageCount": 0
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number, starting at 1.
Required range:
1 <= x <= 9007199254740991Number of items per page, up to 50.
Required range:
1 <= x <= 50Case-insensitive substring match against the automation's page/form name.
Sort order as [{ id, desc }] column/direction pairs.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List Facebook Lead Ads automations
